import { defineComponent } from 'vue';
import styles from '../index.module.less';
import bannerPerson from './images/bannerPerson.png';
import { NIcon, NImage, NDatePicker, NSpace, NButton } from 'naive-ui';
import CDatePicker from '@/components/CDatePicker';
import TrainData from './trainData';
export default defineComponent({
  name: 'home-study',
  setup() {
    return () => (
      <>
        <div class={styles.homeStudy}>
          <div class={styles.homeStudyTitle}>
            <div class={styles.homeStudyTitleDot}></div>
            学情
          </div>
          <div class={styles.homeStudyInfoList}>
            <div class={styles.homeStudyInfoTabs}>
              <div class={[styles.homeStudyInfoTabItem, styles.active]}>
                训练数据
              </div>
              <div class={styles.homeStudyInfoTabItem}>练习数据</div>
              <div class={styles.homeStudyInfoTabItem}>练习排行</div>
            </div>
            <div class={styles.homeStudyInfoDate}>
              <NSpace>
                <CDatePicker separator={'-'} type="daterange"></CDatePicker>
                <NButton type="primary" class={styles.searchBtn}>
                  搜索
                </NButton>
                <NButton type="primary" ghost class={styles.resetBtn}>
                  重置
                </NButton>
              </NSpace>
            </div>
          </div>
          <TrainData></TrainData>
        </div>
      </>
    );
  }
});
