import { defineComponent, ref } from 'vue';
import styles from './index.module.less';
import { NTabs, NTabPane } from 'naive-ui';
import PersonInfo from './components/personInfo';
export default defineComponent({
  name: 'base-setting',
  setup(props, { emit, attrs }) {
    const activeTab = ref('person');
    return () => (
      <div class={styles.listWrap}>
        <NTabs
          class={styles.customTabs}
          v-model:value={activeTab.value}
          size="large"
          animated
          pane-wrapper-style="margin: 0 -4px"
          pane-style="padding-left: 4px; padding-right: 4px; box-sizing: border-box;">
          <NTabPane name="person" tab="个人信息">
            <PersonInfo></PersonInfo>
          </NTabPane>
          <NTabPane name="school" tab="学校设置"></NTabPane>
        </NTabs>
      </div>
    );
  }
});
